Summary: 	A GNU tool which simplifies the build process for users.
Name: 		make-devel
Version: 	3.81
Release: 	2
Copyright: 	GPL
Group: 		Development
Source: 	ftp://ftp.gnu.org/gnu/make/make-%{version}.tar.bz2
Patch: 		make-3.79.1-noclock_gettime.patch
Patch4: 	make-3.80-j8k.patch
Patch5: 	make-3.80-getcwd.patch
Patch6: 	make-3.81-err-reporting.patch
Patch7: 	make-3.81-memory.patch
Patch8: 	make-3.81-rlimit.patch
Patch9: 	make-3.81-newlines.patch
Patch10: 	make-3.81-jobserver.patch
Patch11: 	make-3.81-fdleak.patch
Patch12: 	make-3.81-strcpy-overlap.patch
Prefix: 	%{_prefix}
Buildroot: 	%{_tmppath}/%{name}-root
Provides:       make
%define		_sysconfdir	/etc

%description
A GNU tool for controlling the generation of executables and other
non-source files of a program from the program's source files.  Make
allows users to build and install packages without any significant
knowledge about the details of the build process.  The details about
how the program should be built are provided for make in the program's
makefile.

The GNU make tool should be installed on your system because it is
commonly used to simplify the process of installing programs.

%prep
%setup -q -n make-%{version}
%patch -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1
%patch11 -p1
%patch12 -p0

%build
%configure \
            --host=i386-pc-linux-gnu \
	    --build=i386-pc-linux-gnu \
	    --disable-nls \
	    --without-included-gettext
make

%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=$RPM_BUILD_ROOT install
cd $RPM_BUILD_ROOT/usr/bin;  ln -sf make gmake

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root)
/usr/bin
/usr/man
